Package org.eclipse.emf.cdo.security.util

## Class SecurityAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.emf.cdo.security.util.SecurityAdapterFactory

- All Implemented Interfaces:
    `org.eclipse.emf.common.notify.AdapterFactory`
  Direct Known Subclasses:
    `SecurityItemProviderAdapterFactory`

      public class SecurityAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `SecurityPackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static SecurityPackage` | `modelPackage` | The cached model package.
    `protected SecuritySwitch<org.eclipse.emf.common.notify.Adapter>` | `modelSwitch` | The switch that delegates to the `createXXX` methods.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SecurityAdapterFactory()` | Creates an instance of the adapter factory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter​(org.eclipse.emf.common.notify.Notifier target)` | Creates an adapter for the `target`.
    `org.eclipse.emf.common.notify.Adapter` | `createAndFilterAdapter()` | Creates a new adapter for an object of class '`And Filter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAssigneeAdapter()` | Creates a new adapter for an object of class '`Assignee`'.
    `org.eclipse.emf.common.notify.Adapter` | `createClassFilterAdapter()` | Creates a new adapter for an object of class '`Class Filter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createClassPermissionAdapter()` | Creates a new adapter for an object of class '`Class Permission`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCombinedFilterAdapter()` | Creates a new adapter for an object of class '`Combined Filter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createDirectoryAdapter()` | Creates a new adapter for an object of class '`Directory`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` | Creates a new adapter for the default case.
    `org.eclipse.emf.common.notify.Adapter` | `createExpressionFilterAdapter()` | Creates a new adapter for an object of class '`Expression Filter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createFilterPermissionAdapter()` | Creates a new adapter for an object of class '`Filter Permission`'.
    `org.eclipse.emf.common.notify.Adapter` | `createGroupAdapter()` | Creates a new adapter for an object of class '`Group`'.
    `org.eclipse.emf.common.notify.Adapter` | `createLinkedFilterAdapter()` | Creates a new adapter for an object of class '`Linked Filter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createModelElementAdapter()` | Creates a new adapter for an object of class '`Model Element`'.
    `org.eclipse.emf.common.notify.Adapter` | `createNotFilterAdapter()` | Creates a new adapter for an object of class '`Not Filter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createObjectFilterAdapter()` | Creates a new adapter for an object of class '`Object Filter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createObjectPermissionAdapter()` | Creates a new adapter for an object of class '`Object Permission`'.
    `org.eclipse.emf.common.notify.Adapter` | `createOrFilterAdapter()` | Creates a new adapter for an object of class '`Or Filter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPackageFilterAdapter()` | Creates a new adapter for an object of class '`Package Filter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPackagePermissionAdapter()` | Creates a new adapter for an object of class '`Package Permission`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPermissionAdapter()` | Creates a new adapter for an object of class '`Permission`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPermissionFilterAdapter()` | Creates a new adapter for an object of class '`Permission Filter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRealmAdapter()` | Creates a new adapter for an object of class '`Realm`'.
    `org.eclipse.emf.common.notify.Adapter` | `createResourceFilterAdapter()` | Creates a new adapter for an object of class '`Resource Filter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createResourcePermissionAdapter()` | Creates a new adapter for an object of class '`Resource Permission`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRoleAdapter()` | Creates a new adapter for an object of class '`Role`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSecurityElementAdapter()` | Creates a new adapter for an object of class '`Element`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSecurityItemAdapter()` | Creates a new adapter for an object of class '`Item`'.
    `org.eclipse.emf.common.notify.Adapter` | `createUserAdapter()` | Creates a new adapter for an object of class '`User`'.
    `org.eclipse.emf.common.notify.Adapter` | `createUserPasswordAdapter()` | Creates a new adapter for an object of class '`User Password`'.
    `boolean` | `isFactoryForType​(java.lang.Object object)` | Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static SecurityPackage modelPackage

      The cached model package.
      Generated

    - #### modelSwitch

          protected SecuritySwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

      The switch that delegates to the `createXXX` methods.
      Generated

  - ### Constructor Detail

    - #### SecurityAdapterFactory

          public SecurityAdapterFactory()

      Creates an instance of the adapter factory.
      Generated

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType​(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.
      Generated

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter​(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.
      Generated

    - #### createSecurityElementAdapter

          public org.eclipse.emf.common.notify.Adapter createSecurityElementAdapter()

      Creates a new adapter for an object of class '`Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SecurityElement`
      Generated

    - #### createRealmAdapter

          public org.eclipse.emf.common.notify.Adapter createRealmAdapter()

      Creates a new adapter for an object of class '`Realm`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Realm`
      Generated

    - #### createDirectoryAdapter

          public org.eclipse.emf.common.notify.Adapter createDirectoryAdapter()

      Creates a new adapter for an object of class '`Directory`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Directory`
      Generated

    - #### createSecurityItemAdapter

          public org.eclipse.emf.common.notify.Adapter createSecurityItemAdapter()

      Creates a new adapter for an object of class '`Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SecurityItem`
      Generated

    - #### createRoleAdapter

          public org.eclipse.emf.common.notify.Adapter createRoleAdapter()

      Creates a new adapter for an object of class '`Role`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Role`
      Generated

    - #### createAssigneeAdapter

          public org.eclipse.emf.common.notify.Adapter createAssigneeAdapter()

      Creates a new adapter for an object of class '`Assignee`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Assignee`
      Generated

    - #### createGroupAdapter

          public org.eclipse.emf.common.notify.Adapter createGroupAdapter()

      Creates a new adapter for an object of class '`Group`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Group`
      Generated

    - #### createUserAdapter

          public org.eclipse.emf.common.notify.Adapter createUserAdapter()

      Creates a new adapter for an object of class '`User`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `User`
      Generated

    - #### createUserPasswordAdapter

          public org.eclipse.emf.common.notify.Adapter createUserPasswordAdapter()

      Creates a new adapter for an object of class '`User Password`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `UserPassword`
      Generated

    - #### createPermissionAdapter

          public org.eclipse.emf.common.notify.Adapter createPermissionAdapter()

      Creates a new adapter for an object of class '`Permission`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Permission`
      Generated

    - #### createClassPermissionAdapter

          public org.eclipse.emf.common.notify.Adapter createClassPermissionAdapter()

      Creates a new adapter for an object of class '`Class Permission`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ClassPermission`
      Generated

    - #### createPackagePermissionAdapter

          public org.eclipse.emf.common.notify.Adapter createPackagePermissionAdapter()

      Creates a new adapter for an object of class '`Package Permission`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PackagePermission`
      Generated

    - #### createResourcePermissionAdapter

          public org.eclipse.emf.common.notify.Adapter createResourcePermissionAdapter()

      Creates a new adapter for an object of class '`Resource Permission`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ResourcePermission`
      Generated

    - #### createObjectPermissionAdapter

          public org.eclipse.emf.common.notify.Adapter createObjectPermissionAdapter()

      Creates a new adapter for an object of class '`Object Permission`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.2
      See Also:
        `ObjectPermission`
      Generated

    - #### createFilterPermissionAdapter

          public org.eclipse.emf.common.notify.Adapter createFilterPermissionAdapter()

      Creates a new adapter for an object of class '`Filter Permission`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `FilterPermission`
      Generated

    - #### createPermissionFilterAdapter

          public org.eclipse.emf.common.notify.Adapter createPermissionFilterAdapter()

      Creates a new adapter for an object of class '`Permission Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `PermissionFilter`
      Generated

    - #### createLinkedFilterAdapter

          public org.eclipse.emf.common.notify.Adapter createLinkedFilterAdapter()

      Creates a new adapter for an object of class '`Linked Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `LinkedFilter`
      Generated

    - #### createPackageFilterAdapter

          public org.eclipse.emf.common.notify.Adapter createPackageFilterAdapter()

      Creates a new adapter for an object of class '`Package Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `PackageFilter`
      Generated

    - #### createClassFilterAdapter

          public org.eclipse.emf.common.notify.Adapter createClassFilterAdapter()

      Creates a new adapter for an object of class '`Class Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `ClassFilter`
      Generated

    - #### createResourceFilterAdapter

          public org.eclipse.emf.common.notify.Adapter createResourceFilterAdapter()

      Creates a new adapter for an object of class '`Resource Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `ResourceFilter`
      Generated

    - #### createObjectFilterAdapter

          public org.eclipse.emf.common.notify.Adapter createObjectFilterAdapter()

      Creates a new adapter for an object of class '`Object Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `ObjectFilter`
      Generated

    - #### createExpressionFilterAdapter

          public org.eclipse.emf.common.notify.Adapter createExpressionFilterAdapter()

      Creates a new adapter for an object of class '`Expression Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `ExpressionFilter`
      Generated

    - #### createCombinedFilterAdapter

          public org.eclipse.emf.common.notify.Adapter createCombinedFilterAdapter()

      Creates a new adapter for an object of class '`Combined Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `CombinedFilter`
      Generated

    - #### createNotFilterAdapter

          public org.eclipse.emf.common.notify.Adapter createNotFilterAdapter()

      Creates a new adapter for an object of class '`Not Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `NotFilter`
      Generated

    - #### createAndFilterAdapter

          public org.eclipse.emf.common.notify.Adapter createAndFilterAdapter()

      Creates a new adapter for an object of class '`And Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `AndFilter`
      Generated

    - #### createOrFilterAdapter

          public org.eclipse.emf.common.notify.Adapter createOrFilterAdapter()

      Creates a new adapter for an object of class '`Or Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `OrFilter`
      Generated

    - #### createModelElementAdapter

          public org.eclipse.emf.common.notify.Adapter createModelElementAdapter()

      Creates a new adapter for an object of class '`Model Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ModelElement`
      Generated

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.
      Generated